Bug 123005 - --root and --aid looks for rpmdb in --root
--root and --aid looks for rpmdb in --root
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-11 05:23 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-11 22:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-05-11 05:23:11 EDT

A --root --aid install to an empty root system fails because rpm looks
for the rpmdb defined in %_solve_dbpath relative to --root instead of
the source system.

However %_solve_pkgsdir is interpreted as being relative to the source
system. This is inconsistent, and it makes it necessary to install the
rpmdb in the destination tree before one can proceed.
Comment 1 Jeff Johnson 2004-05-11 19:03:50 EDT
Suggestions from the outer root are not necessarily pertinent
to a chroot contained in that root, e.g. the os may be a different
Comment 2 Leonard den Ottolander 2004-05-11 19:48:51 EDT
In case of a different version %_solve_pkgsdir is pointing to the
wrong directory anyway.

Thus you can just as well interprete %_solve_dbpath as being relative
to the source system as well.

This is inconsistent.
Comment 3 Leonard den Ottolander 2004-05-11 20:01:21 EDT
Let me explain a bit more.

When doing a --root --aid install you draw your macros from /etc/rpm/
in the source system. Thus it is inconsitent to interpret one of the
paths as being relative to the source system and the other as being
relative to the destination system.

In the case of installing a different version in the chroot both
%_solve_pkgsdir and %_solve_dbpath need to be reset accordingly.
Either you interprete both as relative to the source system (which is
more maintainable) or both as relative to the destination system (in
which case it would be more consistent to take the macros from
/etc/rpm/ in the chroot anyway).
Comment 4 Jeff Johnson 2004-05-11 22:27:24 EDT
Override the macros on the command line using --define.
Comment 5 Leonard den Ottolander 2004-05-12 03:04:58 EDT
That still doesn't fix the inconsistency between rpm interpreting
%_solve_dbpath as relative to the destination and %_solve_pkgsdir as
relative to the source.

Note You need to log in before you can comment on or make changes to this bug.